<?php
/**
 * @file
 * materio_subscriptions.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function materio_subscriptions_user_default_permissions() {
  $permissions = array();

  // Exported permission: administer attributes.
  $permissions['administer attributes'] = array(
    'name' => 'administer attributes',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_attribute',
  );

  // Exported permission: administer cart links.
  $permissions['administer cart links'] = array(
    'name' => 'administer cart links',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_cart_links',
  );

  // Exported permission: administer credit cards.
  $permissions['administer credit cards'] = array(
    'name' => 'administer credit cards',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_credit',
  );

  // Exported permission: administer order workflow.
  $permissions['administer order workflow'] = array(
    'name' => 'administer order workflow',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: administer own product features.
  $permissions['administer own product features'] = array(
    'name' => 'administer own product features',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_product',
  );

  // Exported permission: administer product attributes.
  $permissions['administer product attributes'] = array(
    'name' => 'administer product attributes',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_attribute',
  );

  // Exported permission: administer product classes.
  $permissions['administer product classes'] = array(
    'name' => 'administer product classes',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_product',
  );

  // Exported permission: administer product features.
  $permissions['administer product features'] = array(
    'name' => 'administer product features',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_product',
  );

  // Exported permission: administer product options.
  $permissions['administer product options'] = array(
    'name' => 'administer product options',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_attribute',
  );

  // Exported permission: administer products.
  $permissions['administer products'] = array(
    'name' => 'administer products',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_product',
  );

  // Exported permission: administer store.
  $permissions['administer store'] = array(
    'name' => 'administer store',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_store',
  );

  // Exported permission: create orders.
  $permissions['create orders'] = array(
    'name' => 'create orders',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: create product content.
  $permissions['create product content'] = array(
    'name' => 'create product content',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any product content.
  $permissions['delete any product content'] = array(
    'name' => 'delete any product content',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: delete orders.
  $permissions['delete orders'] = array(
    'name' => 'delete orders',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: delete own product content.
  $permissions['delete own product content'] = array(
    'name' => 'delete own product content',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any product content.
  $permissions['edit any product content'] = array(
    'name' => 'edit any product content',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: edit orders.
  $permissions['edit orders'] = array(
    'name' => 'edit orders',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: edit own product content.
  $permissions['edit own product content'] = array(
    'name' => 'edit own product content',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: manage store coupons.
  $permissions['manage store coupons'] = array(
    'name' => 'manage store coupons',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'uc_coupon',
  );

  // Exported permission: process credit cards.
  $permissions['process credit cards'] = array(
    'name' => 'process credit cards',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_credit',
  );

  // Exported permission: unconditionally delete orders.
  $permissions['unconditionally delete orders'] = array(
    'name' => 'unconditionally delete orders',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: view all orders.
  $permissions['view all orders'] = array(
    'name' => 'view all orders',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: view cart links report.
  $permissions['view cart links report'] = array(
    'name' => 'view cart links report',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_cart_links',
  );

  // Exported permission: view cc details.
  $permissions['view cc details'] = array(
    'name' => 'view cc details',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_credit',
  );

  // Exported permission: view customers.
  $permissions['view customers'] = array(
    'name' => 'view customers',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: view own orders.
  $permissions['view own orders'] = array(
    'name' => 'view own orders',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'uc_order',
  );

  // Exported permission: view reports.
  $permissions['view reports'] = array(
    'name' => 'view reports',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'uc_store',
  );

  // Exported permission: view store coupons.
  $permissions['view store coupons'] = array(
    'name' => 'view store coupons',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'uc_coupon',
  );

  return $permissions;
}
